Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mail
Class MailRecipients

    java.lang.Object
      com.bea.p13n.mail.MailRecipients

All Implemented Interfaces
  Serializable

    public class MailRecipients

extends Object
implements Serializable

Data structure for holding email recipient information, including to, cc, and bcc values.

See Also
  Serialized Form

Constructor Summary
`MailRecipients()`

Method Summary
`String[]` | `getBccAddresses()` Get all the 'bcc' addresses
`String[]` | `getCcAddresses()` Get all the 'cc' addresses
`String[]` | `getToAddresses()` Get all the 'to' addresses
`void` | `setBccAddress(String address)` Set a single 'bcc' address.
`void` | `setBccAddresses(String[] addresses)` Set multiple 'bcc' addresses
`void` | `setCcAddress(String address)` Set a single 'cc' address.
`void` | `setCcAddresses(String[] addresses)` Set multiple 'cc' addresses
`void` | `setToAddress(String address)` Set a single 'to' address.
`void` | `setToAddresses(String[] addresses)` Set multiple 'to' addresses

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailRecipients

    public MailRecipients()

Method Detail

### getToAddresses

    public String[] getToAddresses()

  Get all the 'to' addresses

### setToAddresses

    public void setToAddresses(String[] addresses)

  Set multiple 'to' addresses

### setToAddress

    public void setToAddress(String address)

  Set a single 'to' address. This will wipe out any previously set 'to' addresses.

### getCcAddresses

    public String[] getCcAddresses()

  Get all the 'cc' addresses

### setCcAddresses

    public void setCcAddresses(String[] addresses)

  Set multiple 'cc' addresses

### setCcAddress

    public void setCcAddress(String address)

  Set a single 'cc' address. This will wipe out any previously set 'cc' addresses.

### getBccAddresses

    public String[] getBccAddresses()

  Get all the 'bcc' addresses

### setBccAddresses

    public void setBccAddresses(String[] addresses)

  Set multiple 'bcc' addresses

### setBccAddress

    public void setBccAddress(String address)

  Set a single 'bcc' address. This will wipe out any previously set 'bcc' addresses.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.